Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.enhance
Interface FieldConsumer

All Known Subinterfaces:
  FieldManager, OpenJPAStateManager

All Known Implementing Classes:
  AbstractFieldManager, AttachStrategy, ClearFieldManager, DetachedStateAttachStrategy, DetachedStateManager, DetachedValueStateManager, ObjectIdStateManager, SaveFieldManager, SavepointFieldManager, SingleFieldManager, StateManagerImpl, TransferFieldManager, VersionAttachStrategy

    public interface FieldConsumer

Consumes persistent field values.

Method Summary
`void` | `storeBooleanField(int fieldIndex, boolean value)` Set the value of the given field.
`void` | `storeByteField(int fieldIndex, byte value)` Set the value of the given field.
`void` | `storeCharField(int fieldIndex, char value)` Set the value of the given field.
`void` | `storeDoubleField(int fieldIndex, double value)` Set the value of the given field.
`void` | `storeFloatField(int fieldIndex, float value)` Set the value of the given field.
`void` | `storeIntField(int fieldIndex, int value)` Set the value of the given field.
`void` | `storeLongField(int fieldIndex, long value)` Set the value of the given field.
`void` | `storeObjectField(int fieldIndex, Object value)` Set the value of the given field.
`void` | `storeShortField(int fieldIndex, short value)` Set the value of the given field.
`void` | `storeStringField(int fieldIndex, String value)` Set the value of the given field.

Method Detail

### storeBooleanField

    void storeBooleanField(int fieldIndex,
                           boolean value)

  Set the value of the given field.

### storeCharField

    void storeCharField(int fieldIndex,
                        char value)

  Set the value of the given field.

### storeByteField

    void storeByteField(int fieldIndex,
                        byte value)

  Set the value of the given field.

### storeShortField

    void storeShortField(int fieldIndex,
                         short value)

  Set the value of the given field.

### storeIntField

    void storeIntField(int fieldIndex,
                       int value)

  Set the value of the given field.

### storeLongField

    void storeLongField(int fieldIndex,
                        long value)

  Set the value of the given field.

### storeFloatField

    void storeFloatField(int fieldIndex,
                         float value)

  Set the value of the given field.

### storeDoubleField

    void storeDoubleField(int fieldIndex,
                          double value)

  Set the value of the given field.

### storeStringField

    void storeStringField(int fieldIndex,
                          String value)

  Set the value of the given field.

### storeObjectField

    void storeObjectField(int fieldIndex,
                          Object value)

  Set the value of the given field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.